%define upstream_name    HTML-TreeBuilder-XPath
%define upstream_version 0.14

%define _provides_exceptions perl(HTML::Element)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Add XPath support to HTML::TreeBuilder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(List::Util)
BuildRequires: perl(XML::XPathEngine) >= 0.120.0
BuildArch:  noarch

%description
This module adds typical XPath methods to HTML::TreeBuilder, to make it
easy to query a document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 368215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 154777
- update to 0.14

* Wed Jun 22 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 112203
- update to 0.13

* Mon Apr 11 2011 jquelin <jquelin> 0.120.0-3.mga1
+ Revision: 83407
- remove bogus provides:

* Sat Jan 22 2011 jquelin <jquelin> 0.120.0-2.mga1
+ Revision: 32075
- mageia rebuild
- imported package perl-HTML-TreeBuilder-XPath

